Browser requirements

Your browser does not support Kleffmann4you

To provide best performance and stability, Kleffmann4you requires a browser which supports HTML5. Kleffmann4you was optimized for Chrome and Firefox. It is recommended to use an up-to-date version of one of them. Kleffmann4you works also with other browsers like Edge or Safari.

Please note that Internet Explorer does not support HTML5, therefore it cannot be used for Kleffmann4you.

If you face any problems with your browser and Kleffmann4you please contact our Support-Team by sending an email to kleffmann4you@kleffmann.com